Bug 141772 - httpd cannot restart after cmdline install portion on rhel2.1
httpd cannot restart after cmdline install portion on rhel2.1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
360
All Linux
high Severity high
: ---
: ---
Assigned To: Robin Norwood
Max Spevack
:
Depends On:
Blocks: rhn360sat
  Show dependency treegraph
 
Reported: 2004-12-03 12:59 EST by Max Spevack
Modified: 2007-08-06 11:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 12:48:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Max Spevack 2004-12-03 12:59:17 EST
Description of problem:
performed an installation on a rhel-2.1-as-u5 box.  after the
installation is complete (the command line installation), httpd cannot
restart.

Version-Release number of selected component (if applicable):
-73 ISO

How reproducible:
always

Steps to Reproduce:
1. take a rhel2 box
2. run install.sh
3. wait for it to try to restart the services.  httpd will fail
  
Additional info:
see attached log
Comment 1 Max Spevack 2004-12-03 13:00:27 EST
All required packages have been installed
*** ensuring services will return upon reboot
*** GPG: initialization and RHN key import
gpg: /root/.gnupg/trustdb.gpg: trustdb created
gpg: key DB42A60E: public key imported
gpg: Total number processed: 1
gpg:               imported: 1
 
*** initial config (re)deployment with whatever settings are
    in /etc/rhn/rhn.conf:
datahash for mappings:
    default_db = oracleuser/oraclepassword@oracleinstance
    serverDOTsatelliteDOThttp_proxy_password =
    serverDOTsatelliteDOThttp_proxy =
    serverDOTsatelliteDOThttp_proxy_username =
    kickstart_mount_point = /var/satellite
    traceback_mail = user@example.com
    webDOTssl_available = 0
    encrypted_passwords = 1
    mount_point = /var/satellite
    serverDOTsatelliteDOTrhn_parent = satellite.rhn.redhat.com
    serverDOTsatelliteDOTca_chain = /usr/share/rhn/RHNS-CA-CERT
Writing and deploying configuration files...
...deployed. Please restart the httpd and taskomatic services
 
 
*** restart the services
* httpd:
Starting httpd: [Fri Dec  3 12:50:53 2004] [error] Can't locate
Digest/MD5.pm in @INC (@INC contains: /var/www/lib
/usr/lib/perl5/5.6.1/i386-linux /usr/lib/perl5/5.6.1
/usr/lib/perl5/site_perl/5.6.1/i386-linux
/usr/lib/perl5/site_perl/5.6.1
/usr/lib/perl5/site_perl/5.6.0/i386-linux
/usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl . /etc/httpd/
/etc/httpd/lib/perl) at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/Session.pm line 8.!BEGIN
failed--compilation aborted at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/Session.pm line
8.!Compilation failed in require at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Request.pm line 9.!BEGIN
failed--compilation aborted at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Request.pm line
9.!Compilation failed in require at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm line
28.!BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm line
28.!Compilation failed in require at
/etc/httpd/conf/rhn-module-preload.pl line 6.!BEGIN
failed--compilation aborted at /etc/httpd/conf/rhn-module-preload.pl
line 6.!Compilation failed in require at /etc/httpd/conf/startup.pl
line 15.!BEGIN failed--compilation aborted at
/etc/httpd/conf/startup.pl line 16.!Compilation failed in require at
(eval 3) line 1.!
Syntax error on line 7 of /etc/httpd/conf/rhnweb.conf:
Can't locate Digest/MD5.pm in @INC (@INC contains: /var/www/lib
/usr/lib/perl5/5.6.1/i386-linux /usr/lib/perl5/5.6.1
/usr/lib/perl5/site_perl/5.6.1/i386-linux
/usr/lib/perl5/site_perl/5.6.1
/usr/lib/perl5/site_perl/5.6.0/i386-linux
/usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl . /etc/httpd/
/etc/httpd/lib/perl) at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/Session.pm line 8.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/Session.pm line 8.
Compilation failed in require at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Request.pm line 9.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Request.pm line 9.
Compilation failed in require at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm line 28.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm line 28.
Compilation failed in require at /etc/httpd/conf/rhn-module-preload.pl
line 6.
BEGIN failed--compilation aborted at
/etc/httpd/conf/rhn-module-preload.pl line 6.
Compilation failed in require at /etc/httpd/conf/startup.pl line 15.
BEGIN failed--compilation aborted at /etc/httpd/conf/startup.pl line 16.
Compilation failed in require at (eval 3) line 1.
 
                                                           [FAILED]
*********
Installation complete; but configuration is not.
Please browse to http://rhnblade4.rhndev.redhat.com to complete
configuration of this RHN Satellite.
*********
Comment 2 Max Spevack 2004-12-03 13:35:46 EST
Fixed in -74
Comment 3 Todd Warner 2005-03-22 12:48:22 EST
Mass move from PROD_READY to CLOSED:CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.